org.apache.uima.collection.metadata

## Interface CasProcessorExecutable

- All Superinterfaces:
    Cloneable, MetaDataObject, Serializable, XMLizable

      public interface CasProcessorExecutable
      extends MetaDataObject

  An object containing configuration for a program that the CPE will use to launch CasProcessor. It provides the means to define an executable program and its arguments

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addCasProcessorExecArg(CasProcessorExecArg aArgs)` Adds a `CasProcessorExecArg` argument to be supplied when launching a program.
    `CasProcessorExecArg[]` | `getAllCasProcessorExecArgs()` Returns ALL `CasProcessorExecArg` arguments
    `CasProcessorExecArg` | `getCasProcessorExecArg(int aIndex)` Returns a `CasProcessorExecArg` argument identified by a given position in the list.
    `ArrayList<CasProcessorRuntimeEnvParam>` | `getEnvs()`
    `String` | `getExecutable()` Returns an executable program that the CPE will use for launching CasProcessor.
    `void` | `removeCasProcessorExecArg(int aIndex)` Removes program argument from the list.
    `void` | `setEnvs(ArrayList<CasProcessorRuntimeEnvParam> params)`
    `void` | `setExecutable(String aExecutable)` Sets an executable program that the CPE will use for launching CasProcessor.

    - ### Methods inherited from interface org.apache.uima.resource.metadata.MetaDataObject

      `clone, equals, getAttributeValue, getSourceUrl, getSourceUrlString, isModifiable, listAttributes, setAttributeValue, setSourceUrl`

    - ### Methods inherited from interface org.apache.uima.util.XMLizable

      `buildFromXMLElement, buildFromXMLElement, toXML, toXML, toXML, toXML`

- - ### Method Detail

    - #### setExecutable

          void setExecutable(String aExecutable)

      Sets an executable program that the CPE will use for launching CasProcessor.
      Parameters:
        `aExecutable` - - program name (like java.exe)

    - #### getExecutable

          String getExecutable()

      Returns an executable program that the CPE will use for launching CasProcessor.
      Returns:
        - exec program as String

    - #### addCasProcessorExecArg

          void addCasProcessorExecArg(CasProcessorExecArg aArgs)

      Adds a `CasProcessorExecArg` argument to be supplied when launching a program.
      Parameters:
        `aArgs` - - argument for the executable program

    - #### getCasProcessorExecArg

          CasProcessorExecArg getCasProcessorExecArg(int aIndex)

      Returns a `CasProcessorExecArg` argument identified by a given position in the list.
      Parameters:
        `aIndex` - - position of argument to return
      Returns:
        `CasProcessorExecArg` argument

    - #### getAllCasProcessorExecArgs

          CasProcessorExecArg[] getAllCasProcessorExecArgs()

      Returns ALL `CasProcessorExecArg` arguments
      Returns:
        array of `CasProcessorExecArg`

    - #### removeCasProcessorExecArg

          void removeCasProcessorExecArg(int aIndex)

      Removes program argument from the list. The argument for deletion is identified by provided position in the list.
      Parameters:
        `aIndex` - - position of argument to delete

    - #### getEnvs

          ArrayList<CasProcessorRuntimeEnvParam> getEnvs()

    - #### setEnvs

          void setEnvs(ArrayList<CasProcessorRuntimeEnvParam> params)

      Parameters:
        `params` - the CAS Processor Runtime Environment parameters

Copyright © 2006–2017 The Apache Software Foundation. All rights reserved.